import { ifElseAsync } from './ifElseAsync'
import { type } from './rambda/type'
import { T } from './rambda/T'
import { F } from './rambda/F'
import { delay } from './delay'

test('ok', async () => {
  const condition = async x => {
    const delayed = await delay(x * 80)

    return type(delayed) === 'String'
  }
  const conditionFalse = async x => {
    const delayed = await delay(x * 80)

    return type(delayed) === 'Array'
  }

  const ifFn = async x => {
    await delay(x * 60)

    return true
  }

  const elseFn = async x => {
    await delay(x * 60)

    return false
  }

  const result = await ifElseAsync(condition, ifFn, elseFn)(7)

  const resultFalse = await ifElseAsync(
    conditionFalse,
    ifFn,
    elseFn
  )(7)

  expect(result).toBe(true)
  expect(resultFalse).toBe(false)
})

test('works with regular functions', async () => {
  const result = await ifElseAsync(
    async x => type(await delay(x * 80)) === 'String',
    T,
    F
  )(7)

  expect(result).toEqual(true)
})
